uniform	mat4	u_ModelViewMatrix;
uniform	mat4	u_ModelViewProjectionMatrix;
uniform vec2	u_lmModifier;	// X = Mul, Y = Add
out	vec3	v_clipVertex;
out	vec4	color;
out	vec4	texCoords;
include deforms.inc
include colorGen.inc
include tcGen_multitexture.inc
void main(void)
{
	mat2 dummy;
	vec4 glVertex = DeformGeometry(dummy);
	tcGen(texCoords.xy, texCoords.zw, glVertex.xyz);
	color = colorGen(glVertex.xyz, u_gen, u_parm0, u_parm1, u_parm2, u_parma0, u_parma1);
	color.rgb = color.rgb * u_lmModifier.x + u_lmModifier.y;
	gl_Position = u_ModelViewProjectionMatrix * glVertex;
	v_clipVertex = (u_ModelViewMatrix * glVertex).xyz;
}
